Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Typedefs | Functions
cls_multi_uchar.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Typedefs
typedef unsigned char(* | test_type) (unsigned char, unsigned char, unsigned char, unsigned char)

## Functions
unsigned char | test_func_fn (unsigned char a1, unsigned char a2, unsigned char a3, unsigned char a4)
void | test_func (ffi_cif *cif __UNUSED__, void *rval __UNUSED__, void **avals, void *data __UNUSED__)
int | main (void)

## Typedef Documentation

## ◆ test_type

typedef unsigned char(* test_type) (unsigned char, unsigned char, unsigned char, unsigned char)

Definition at line 37 of file cls_multi_uchar.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 47 of file cls_multi_uchar.c.

References CHECK, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_uchar, NULL, printf(), and test_func_fn().

## ◆ test_func()

void test_func | ( | ffi_cif *cif | __UNUSED__,
|  | void *rval | __UNUSED__,
|  | void ** | avals,
|  | void *data | __UNUSED__
| ) |  |

Definition at line 40 of file cls_multi_uchar.c.

References printf().

## ◆ test_func_fn()

unsigned char test_func_fn | ( | unsigned char | a1,
|  | unsigned char | a2,
|  | unsigned char | a3,
|  | unsigned char | a4
| ) |  |

Definition at line 10 of file cls_multi_uchar.c.

Referenced by main().